メインコンテンツへスキップ
POST
/
api
/
v1
/
GetUsageConfig
使用量設定を取得
curl --request POST \
  --url https://server.codeium.com/api/v1/GetUsageConfig \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "service_key": "<string>",
  "team_level": true,
  "group_id": "<string>",
  "user_email": "<string>"
}
'
import requests

url = "https://server.codeium.com/api/v1/GetUsageConfig"

payload = {
"service_key": "<string>",
"team_level": True,
"group_id": "<string>",
"user_email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
service_key: '<string>',
team_level: true,
group_id: '<string>',
user_email: '<string>'
})
};

fetch('https://server.codeium.com/api/v1/GetUsageConfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "addOnCreditCap": 123
}

概要

組織における、現在のユーザーごとの追加クレジット上限設定を取得します。上限は常にユーザー単位です。チームまたはグループのスコープでクエリする場合、レスポンスにはそのチームまたはグループ内のユーザーに適用されているユーザーごとの上限が返されます。

リクエスト

service_key
string
必須
「Billing Read」権限を持つサービスキー

スコープ設定 (いずれか1つを選択)

team_level
boolean
チーム内のすべてのユーザーに適用されるユーザー単位の上限を取得するには、true に設定します
group_id
string
特定のグループ内のすべてのユーザーに適用されるユーザー単位の上限を取得するには、グループ ID を指定します
user_email
string
特定のユーザーの設定を取得するには、そのメールアドレスを指定します
スコープを定義するには、team_levelgroup_iduser_email のいずれか1つを指定する必要があります。

リクエスト例 - Team 内のすべてのユーザーのユーザーごとの上限を取得

curl -X POST --header "Content-Type: application/json" \
--data '{
  "service_key": "your_service_key_here",
  "team_level": true
}' \
https://server.codeium.com/api/v1/GetUsageConfig

リクエスト例 - グループ内の全ユーザーのユーザーごとの上限を取得

curl -X POST --header "Content-Type: application/json" \
--data '{
  "service_key": "your_service_key_here",
  "group_id": "engineering_team"
}' \
https://server.codeium.com/api/v1/GetUsageConfig

リクエスト例 - ユーザー設定の取得

curl -X POST --header "Content-Type: application/json" \
--data '{
  "service_key": "your_service_key_here",
  "user_email": "user@example.com"
}' \
https://server.codeium.com/api/v1/GetUsageConfig

レスポンス

addOnCreditCap
integer
設定済みのアドオンクレジット上限値です。レスポンスにこのフィールドが含まれていない場合、リクエストされたスコープレベルでは上限は設定されていません。

レスポンス例 - 上限が設定されている場合

{
  "addOnCreditCap": 10000
}

レスポンス例 - 上限未設定

{}

エラーレスポンス

一般的なエラーの例:
  • 無効なサービスキー、または権限不足
  • 複数の スコープ パラメータが指定されている
  • スコープ パラメータが指定されていない
  • 無効なグループ ID、またはユーザーのメールアドレス
  • レート制限を超過している